<?php
/**
 * Filename: upgrade.part.php
 * Created : Andy Christian S. Loyola <acl20032003@gmail.com> (http://AndysDesigns.Net)
 * Copyright 2017 - Andy Christian S. Loyola <acl20032003@gmail.com> (http://AndysDesigns.Net)
 *
 * Skype: andy_christian_loyola_
 * Yahoo: andz_christian
 * GTalk: acl20032003@gmail.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

?>



			<div>
				<div class="row cell">
					<h3>Upgrade to Pro</h3> <hr />
				</div>


				<form name="upgradeForm" id="upgradeForm" method="POST" action="">
					<input type="hidden" name="upgrade-plugin" id="upgrade-plugin" value="sbp-upgrader" />


					<div class="row cells2">
						<div class="cell">
							<div class="input-control text full-size">
								<label for="upgrade-pincode">Pin Code</label>
								<input type="text" name="upgrade-pincode" id="upgrade-pincode" placeholder="Enter Pin Code to upgrade to Pro version" value="" />
							</div>
						</div>
					</div>

					<br />
					<div class="row">
						<div class="cell">
							<input type="submit" name="cmdUpgrade" id="cmdUpgrade" class="button button-primary" value="Upgrade to Pro Version" />
							<span id="dialog-upgrade" style="padding-left:10px;"></span>
						</div>
					</div>
				</form>
			</div>



			<script type="text/javascript">
				var sbpUpgradeJs = jQuery.noConflict();
				sbpUpgradeJs(function($) {

					$('#cmdUpgrade').click(function() {
						var $pincode    = $('#upgrade-pincode'),
							$plugin     = $('#upgrade-plugin'),

							$dialog     = $('#dialog-upgrade'),

							$data       = {
								pincode : $pincode.val(),
								plugin  : $plugin.val()
							};


						if ($pincode.val() == '') {
							$pincode.closest('div').addClass('error');
							$pincode.focus();
							return false;
						}
						else {
							$pincode.closest('div').removeClass('error');
						}


						$dialog.empty().append('Validating pin code. Please wait!');
						$.ajax({
							url         : '<?php echo SBP_UPGRADE_URL; ?>',
							type        : 'POST',
							dataType    : 'json',
							data        : $data,
							success     : function(res) {
								if (res.result != 'passed') {
									$dialog.empty().append('The pin code you entered is invalid. Please try again!');
								}
								else {
									$dialog.empty().append('Success! Please wait while we are doing the upgrade. This may take a while.');
									$.post('<?php echo admin_url('admin-ajax.php'); ?>', {
										action  : 'sbp_upgrade_plugin',
										slugs   : res.slugs,
										install : res.install,
										path    : res.path
									}, function(result) {
										if (result == 'finished') {
//											alert('You will be redirected to the PRO version.');
											window.location.href = '<?php echo $_SERVER['PHP_SELF']; ?>?page='+ $('#upgrade-plugin').val();
										}
									});
								}
							}
						});


						return false;
					});

				});
			</script>