<?php
/**
 * Filename: manage-squeeze.part.php
 * Created : Andy Christian S. Loyola <acl20032003@gmail.com> (http://AndysDesigns.Net)
 * Copyright 2017 - Andy Christian S. Loyola <acl20032003@gmail.com> (http://AndysDesigns.Net)
 *
 * Skype: andy_christian_loyola_
 * Yahoo: andz_christian
 * GTalk: acl20032003@gmail.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

$optinsName     = $sbpDatabaseSqueeze->tableOptins;
$optinsCount    = $sbpDatabaseSqueeze->tableOptinsCount;

$affiliates     = get_option($sbpDatabaseSqueeze->tableAffiliates);
$thankyou       = get_option($sbpDatabaseSqueeze->tableThankyou);
$recentPosts    = get_option($sbpDatabaseSqueeze->tableRecentPosts);
?>


			<div>
				<div id="holder-manage-squeeze">

					<div class="ui-tabs-sub">
						<ul>
							<?php
							if (0 != $optinsCount) {
								for ($o = 1; $o <= $optinsCount; $o++) {
									echo '<li><a href="#squeeze-optin-'. $o .'">Optin '. $o .'</a></li>';
								}
							}
							?>

							<li><a href="#squeeze-affiliates">Affiliates</a></li>
							<li><a href="#squeeze-thankyou">Thank You</a></li>
							<li><a href="#squeeze-recent-posts">Recent Posts</a></li>
						</ul>



						<!-- optins -->
						<?php
						if (0 != $optinsCount) {
							for ($o = 1; $o <= $optinsCount; $o++) {
								$optins = get_option($optinsName .'_'. $o);


								echo '<div id="squeeze-optin-'. $o.'">';
									echo '<div class="row cell">';
										echo '<h3>Optin '. $o .'</h3> <hr />';
									echo '</div>';
									?>


									<form name="optinForm" id="optinForm">
										<div class="row cells2">
											<div class="cell">
												<div class="input-control text full-size">
													<label for="optin-<?php echo $o; ?>-title">Title</label>
													<input type="text" name="optin-<?php echo $o; ?>-title" id="optin-<?php echo $o; ?>-title" placeholder="Enter title" value="<?php echo $optins['title']; ?>" />
												</div>
											</div>

											<div class="cell">
												<label for="optin-<?php echo $o; ?>-title-hide" class="input-control checkbox adjust-top">
													<input type="checkbox" name="optin-<?php echo $o; ?>-title-hide" id="optin-<?php echo $o; ?>-title-hide" <?php echo ($optins['title_hide'] == SBP_YES) ? 'checked="checked"' : ''; ?> />
													<span class="check"></span>
													<span class="caption">Hide Title?</span>
												</label>
											</div>
										</div> <br />



										<!-- widgets -->
										<div class="row cells2">
											<div class="cell">
												<div>
													<label for="optin-<?php echo $o; ?>-homepage" class="input-control checkbox adjust-top">
														<input type="checkbox" name="optin-<?php echo $o; ?>-homepage" id="optin-<?php echo $o; ?>-homepage" <?php echo ($optins['homepage'] == SBP_YES) ? 'checked="checked"' : ''; ?> />
														<span class="check"></span>
														<span class="caption">Homepage</span>
													</label>
												</div>

												<div>
													<label for="optin-<?php echo $o; ?>-pages" class="input-control checkbox adjust-top">
														<input type="checkbox" name="optin-<?php echo $o; ?>-pages" id="optin-<?php echo $o; ?>-pages" rel="<?php echo $o; ?>" <?php echo ($optins['pages'] == SBP_YES) ? 'checked="checked"' : ''; ?> />
														<span class="check"></span>
														<span class="caption">Pages</span>
													</label>

													<div id="holder-optin-<?php echo $o; ?>-pagesid" class="input-control text" style="width:55%;">
														<input type="text" name="optin-<?php echo $o; ?>-pagesid" id="optin-<?php echo $o; ?>-pagesid" placeholder="Enter PagesID. Comma separated." value="<?php echo $optins['pagesid']; ?>" />
													</div>
												</div>

												<div>
													<label for="optin-<?php echo $o; ?>-posts" class="input-control checkbox adjust-top">
														<input type="checkbox" name="optin-<?php echo $o; ?>-posts" id="optin-<?php echo $o; ?>-posts" rel="<?php echo $o; ?>" <?php echo ($optins['posts'] == SBP_YES) ? 'checked="checked"' : ''; ?> />
														<span class="check"></span>
														<span class="caption">Posts</span>
													</label>

													<div id="holder-optin-<?php echo $o; ?>-postsid" class="input-control text" style="margin-left:2px; width:55%;">
														<input type="text" name="optin-<?php echo $o; ?>-postsid" id="optin-<?php echo $o; ?>-postsid" placeholder="Enter PostsID. Comma separated." value="<?php echo $optins['postsid']; ?>" />
													</div>
												</div>
											</div>
										</div> <br />
										<!-- // widgets -->



										<!-- contents -->
										<div class="row">
											<div class="cell">
												<label for="optin-<?php echo $o; ?>-contents">Contents</label>
												<?php wp_editor($optins['contents'], 'optin-'. $o .'-contents', array(
													'textare_name'  => 'optin-'. $o .'-contents',
													'textarea_rows' => 5,
													'wpautop'       => true,
													'media_buttons' => true
												)); ?>
											</div>
										</div> <br />
										<!-- // contents -->


										<!-- is aweber -->
										<div class="row cells2">
											<div class="cell">
												<label for="optin-<?php echo $o; ?>-is-aweber" class="input-control checkbox adjust-top">
													<input type="checkbox" name="optin-<?php echo $o; ?>-is-aweber" id="optin-<?php echo $o; ?>-is-aweber" rel="<?php echo $o; ?>" <?php echo ($optins['is_aweber'] == SBP_YES) ? 'checked="checked"' : ''; ?> />
													<span class="check"></span>
													<span class="caption">Are You Using Aweber?</span>
												</label>
											</div>
										</div>
										<!-- // is aweber -->


										<!-- aweber -->
										<div id="holder-optin-<?php echo $o; ?>-is-aweber" style="display:none;">
											<div class="row cells2">
												<div class="cell">
													<div class="input-control text full-size">
														<label for="optin-<?php echo $o; ?>-listname">Listname</label>
														<input type="text" name="optin-<?php echo $o; ?>-listname" id="optin-<?php echo $o; ?>-listname" placeholder="Enter aweber listname" value="<?php echo $optins['aweber_listname']; ?>" />
													</div>
												</div>
											</div>

											<div class="row cells2">
												<div class="cell">
													<div class="input-control text full-size">
														<label for="optin-<?php echo $o; ?>-thankyou">Thank You URL</label>
														<input type="text" name="optin-<?php echo $o; ?>-thankyou" id="optin-<?php echo $o; ?>-thankyou" placeholder="Enter Thank You URL" value="<?php echo $optins['aweber_thankyou']; ?>" />
													</div>
												</div>
											</div>

											<div class="row cells2">
												<div class="cell">
													<label for="">Bullets</label>

													<div class="input-control text full-size">
														<input type="text" name="optin-<?php echo $o; ?>-bullet-1" id="optin-<?php echo $o; ?>-bullet-1" placeholder="Enter bullet 1" value="<?php echo $optins['aweber_bullet_1']; ?>" />
													</div> <br />

													<div class="input-control text full-size">
														<input type="text" name="optin-<?php echo $o; ?>-bullet-2" id="optin-<?php echo $o; ?>-bullet-2" placeholder="Enter bullet 2" value="<?php echo $optins['aweber_bullet_2']; ?>" />
													</div> <br />

													<div class="input-control text full-size">
														<input type="text" name="optin-<?php echo $o; ?>-bullet-3" id="optin-<?php echo $o; ?>-bullet-3" placeholder="Enter bullet 3" value="<?php echo $optins['aweber_bullet_3']; ?>" />
													</div>
												</div>
											</div> <br />
										</div>
										<!-- // aweber -->


										<!-- not aweber -->
										<div id="holder-optin-<?php echo $o; ?>-not-aweber" style="display:none;">
											<div class="row">
												<div class="cell">
													<label for="optin-<?php echo $o; ?>-not-aweber-contents" style="display:none;">Contents</label>
													<?php wp_editor($optins['not_aweber_contents'], 'optin-'. $o .'-not-aweber-contents', array(
														'textare_name'  => 'optin-'. $o .'-not-aweber-contents',
														'textarea_rows' => 5,
														'wpautop'       => true,
														'media_buttons' => true
													)); ?>
												</div>
											</div> <br />
										</div>
										<!-- // not aweber -->




										<!-- privacy -->
										<div class="row">
											<div class="cell">
												<label for="optin-<?php echo $o; ?>-privacy">Privacy</label>
												<?php wp_editor($optins['privacy'], 'optin-'. $o .'-privacy', array(
													'textare_name'  => 'optin-'. $o .'-privacy',
													'textarea_rows' => 5,
													'wpautop'       => true,
													'media_buttons' => true
												)); ?>
											</div>
										</div> <br /><br />
										<!-- // privacy -->



										<!-- themes -->
										<input type="hidden" name="optin-<?php echo $o; ?>-theme-btn-img" id="optin-<?php echo $o; ?>-theme-btn-img" value="<?php echo $optins['theme_btn_img']; ?>" />
										<input type="hidden" name="optin-<?php echo $o; ?>-theme-btn-img-src" id="optin-<?php echo $o; ?>-theme-btn-img-src" value="<?php echo $optins['theme_btn_img_src']; ?>" />

										<div class="row cells2">
											<div class="cell">
												<div class="input-control select full-size">
													<label for="optin-<?php echo $o; ?>-theme">Themes</label>
													<?php $sbpThemes->themeList('optin-'. $o .'-theme', 'optin-'. $o .'-theme', $o, $optins['theme']); ?>

													<div id="dialog-optin-<?php echo $o; ?>-theme"></div>
												</div>
											</div>
										</div>

										<div id="holder-optin-<?php echo $o; ?>-theme">
											<div class="row cell">
												<h3>Theme Configuration for <span id="optin-<?php echo $o; ?>-theme-description" style="text-decoration:underline!important;"></span></h3> <hr />
											</div>

											<div class="row cells2">
												<div class="cell">
													<div class="input-control text full-size">
														<label for="optin-<?php echo $o; ?>-theme-main-bg">Main Background</label>
														<input type="text" name="optin-<?php echo $o; ?>-theme-main-bg" id="optin-<?php echo $o; ?>-theme-main-bg" placeholder="Enter background color" value="<?php echo $optins['theme_main_bg']; ?>" />
													</div>
												</div>
											</div>

											<div class="row cells2">
												<div class="cell">
													<div class="input-control text full-size">
														<label for="optin-<?php echo $o; ?>-theme-main-border-color">Main Border Color</label>
														<input type="text" name="optin-<?php echo $o; ?>-theme-main-border-color" id="optin-<?php echo $o; ?>-theme-main-border-color" placeholder="Enter main border color" value="<?php echo $optins['theme_main_border_color']; ?>" />
													</div>
												</div>
											</div> <br />


											<div class="row cells2">
												<div class="cell">
													<div class="input-control text full-size">
														<label for="optin-<?php echo $o; ?>-theme-headline-color">Headline Color</label>
														<input type="text" name="optin-<?php echo $o; ?>-theme-headline-color" id="optin-<?php echo $o; ?>-theme-headline-color" placeholder="Enter headline color" value="<?php echo $optins['theme_headline_color']; ?>" />
													</div>
												</div>
											</div>

											<div class="row cells2">
												<div class="cell">
													<div class="input-control select full-size">
														<label for="optin-<?php echo $o; ?>-theme-headline-bold">Headline Font Weight</label>
														<select name="optin-<?php echo $o; ?>-theme-headline-bold" id="optin-<?php echo $o; ?>-theme-headline-bold" style="height:40px;">
															<option value="normal" <?php selected('normal', $optins['theme_headline_bold']); ?>>Normal</option>
															<option value="bold" <?php selected('bold', $optins['theme_headline_bold']); ?>>Bold</option>
														</select>
													</div>
												</div>
											</div> <br />


											<div class="row cells2">
												<div class="cell">
													<div class="input-control text full-size">
														<label for="optin-<?php echo $o; ?>-theme-txtbox-width">Textbox Width</label>
														<input type="text" name="optin-<?php echo $o; ?>-theme-txtbox-width" id="optin-<?php echo $o; ?>-theme-txtbox-width" placeholder="Enter textbox width" value="<?php echo $optins['theme_txtbox_width']; ?>" />
													</div>
												</div>
											</div>

											<div class="row cells2">
												<div class="cell">
													<div class="input-control text full-size">
														<label for="optin-<?php echo $o; ?>-theme-txtbox-border-color">Textbox Border Color</label>
														<input type="text" name="optin-<?php echo $o; ?>-theme-txtbox-border-color" id="optin-<?php echo $o; ?>-theme-txtbox-border-color" placeholder="Enter textbox border color" value="<?php echo $optins['theme_txtbox_border_color']; ?>" />
													</div>
												</div>
											</div>

											<div class="row cells2">
												<div class="cell">
													<div class="input-control text full-size">
														<label for="optin-<?php echo $o; ?>-theme-txtbox-fontsize">Textbox Font Size</label>
														<input type="text" name="optin-<?php echo $o; ?>-theme-txtbox-fontsize" id="optin-<?php echo $o; ?>-theme-txtbox-fontsize" placeholder="Enter textbox font size" value="<?php echo $optins['theme_txtbox_fontsize']; ?>" />
													</div>
												</div>
											</div> <br />


											<div id="holder-optin-<?php echo $o; ?>-theme-btn-is-image">
												<div id="optin-<?php echo $o; ?>-theme-btn-image-preview"></div>

												<div class="row cells2">
													<div class="cell">
														<div class="input-control text full-size">
															<label for="optin-<?php echo $o; ?>-theme-btn-img-size">Submit Button Size</label>
															<input type="text" name="optin-<?php echo $o; ?>-theme-btn-img-size" id="optin-<?php echo $o; ?>-theme-btn-img-size" placeholder="Enter submit button size" value="<?php echo $optins['theme_btn_img_size']; ?>" />
														</div>
													</div>
												</div>
											</div>

											<div id="holder-optin-<?php echo $o; ?>-theme-btn-is-regular">
												<br />
												<div class="row cells2">
													<div class="cell">
														<div class="input-control text full-size">
															<label for="optin-<?php echo $o; ?>-theme-btn-value">Submit Button Value</label>
															<input type="text" name="optin-<?php echo $o; ?>-theme-btn-value" id="optin-<?php echo $o; ?>-theme-btn-value" placeholder="Enter submit button value" value="<?php echo $optins['theme_btn_value']; ?>" />
														</div>
													</div>
												</div>

												<div class="row cells2">
													<div class="cell">
														<div class="input-control text full-size">
															<label for="optin-<?php echo $o; ?>-theme-btn-bg">Submit Button Background</label>
															<input type="text" name="optin-<?php echo $o; ?>-theme-btn-bg" id="optin-<?php echo $o; ?>-theme-btn-bg" placeholder="Enter submit button background" value="<?php echo $optins['theme_btn_bg']; ?>" />
														</div>
													</div>
												</div>

												<div class="row cells2">
													<div class="cell">
														<div class="input-control text full-size">
															<label for="optin-<?php echo $o; ?>-theme-btn-color">Submit Button Color</label>
															<input type="text" name="optin-<?php echo $o; ?>-theme-btn-color" id="optin-<?php echo $o; ?>-theme-btn-color" placeholder="Enter submit button color" value="<?php echo $optins['theme_btn_color']; ?>" />
														</div>
													</div>
												</div>

												<div class="row cells2">
													<div class="cell">
														<div class="input-control text full-size">
															<label for="optin-<?php echo $o; ?>-theme-btn-border-color">Submit Button Border Color</label>
															<input type="text" name="optin-<?php echo $o; ?>-theme-btn-border-color" id="optin-<?php echo $o; ?>-theme-btn-border-color" placeholder="Enter submit button border color" value="<?php echo $optins['theme_btn_border_color']; ?>" />
														</div>
													</div>
												</div>

												<div class="row cells2">
													<div class="cell">
														<div class="input-control select full-size">
															<label for="optin-<?php echo $o; ?>-theme-btn-bold">Submit Button Bold</label>
															<select name="optin-<?php echo $o; ?>-theme-btn-bold" id="optin-<?php echo $o; ?>-theme-btn-bold" rel="<?php echo $o; ?>" style="height:40px;">
																<option value="normal" <?php selected('normal', $optins['theme_btn_bold']); ?>>Normal</option>
																<option value="bold" <?php selected('bold', $optins['theme_btn_bold']); ?>>Bold</option>
															</select>
														</div>
													</div>
												</div>

												<div class="row cells2">
													<div class="cell">
														<div class="input-control text full-size">
															<label for="optin-<?php echo $o; ?>-theme-btn-fontsize">Submit Button Font Size</label>
															<input type="text" name="optin-<?php echo $o; ?>-theme-btn-fontsize" id="optin-<?php echo $o; ?>-theme-btn-fontsize" placeholder="Enter submit button font size" value="<?php echo $optins['theme_btn_fontsize']; ?>" />
														</div>
													</div>
												</div>
											</div>


										</div>
										<!-- // themes -->



										<!-- submit -->
										<br />
										<div class="row cells2">
											<div class="cell">
												<input type="submit" name="cmdSubmitOptin" id="cmdSubmitOptin" rel="<?php echo $o; ?>" class="button button-primary" value="Upate Optin <?php echo $o; ?>" />
												<span id="dialog-optin-<?php echo $o; ?>" style="padding-left:10px;"></span>
											</div>
										</div>
										<!-- // submit -->

									</form>


									<?php
								echo '</div>';
							}
						}
						?>
						<!-- // optins -->



						<!-- affiliates -->
						<div id="squeeze-affiliates">
							<div class="row cell">
								<h3>Affiliates</h3> <hr />
							</div>


							<form name="affiliatesForm" id="affiliatesForm" method="POST" action="">
								<div class="row cells2">
									<div class="cell">
										<div class="input-control text full-size">
											<label for="affiliates-title">Title</label>
											<input type="text" name="affiliates-title" id="affiliates-title" placeholder="Enter title" value="<?php echo $affiliates['title']; ?>" />
										</div>
									</div>

									<div class="cell">
										<label for="affiliates-title-hide" class="input-control checkbox adjust-top">
											<input type="checkbox" name="affiliates-title-hide" id="affiliates-title-hide" <?php echo ($affiliates['title_hide'] == SBP_YES) ? 'checked="checked"' : ''; ?> />
											<span class="check"></span>
											<span class="caption">Hide Title?</span>
										</label>
									</div>
								</div> <br />


								<!-- widgets -->
								<div class="row cells2">
									<div class="cell">
										<div>
											<label for="affiliates-homepage" class="input-control checkbox adjust-top">
												<input type="checkbox" name="affiliates-homepage" id="affiliates-homepage" <?php echo ($affiliates['homepage'] == SBP_YES) ? 'checked="checked"' : ''; ?> />
												<span class="check"></span>
												<span class="caption">Homepage</span>
											</label>
										</div>

										<div>
											<label for="affiliates-pages" class="input-control checkbox adjust-top">
												<input type="checkbox" name="affiliates-pages" id="affiliates-pages" <?php echo ($affiliates['pages'] == SBP_YES) ? 'checked="checked"' : ''; ?> />
												<span class="check"></span>
												<span class="caption">Pages</span>
											</label>

											<div id="holder-affiliates-pagesid" class="input-control text" style="width:55%;">
												<input type="text" name="affiliates-pagesid" id="affiliates-pagesid" placeholder="Enter PagesID. Comma separated." value="<?php echo $affiliates['pagesid']; ?>" />
											</div>
										</div>

										<div>
											<label for="affiliates-posts" class="input-control checkbox adjust-top">
												<input type="checkbox" name="affiliates-posts" id="affiliates-posts" <?php echo ($affiliates['posts'] == SBP_YES) ? 'checked="checked"' : ''; ?> />
												<span class="check"></span>
												<span class="caption">Posts</span>
											</label>

											<div id="holder-affiliates-postsid" class="input-control text" style="margin-left:2px; width:55%;">
												<input type="text" name="affiliates-postsid" id="affiliates-postsid" placeholder="Enter PostsID. Comma separated." value="<?php echo $affiliates['postsid']; ?>" />
											</div>
										</div>
									</div>
								</div> <br />
								<!-- // widgets -->



								<!-- contents -->
								<div class="row">
									<div class="cell">
										<label for="affiliates-contents">Contents</label>
										<?php wp_editor($affiliates['contents'], 'affiliates-contents', array(
											'textare_name'  => 'affiliates-contents',
											'textarea_rows' => 5,
											'wpautop'       => true,
											'media_buttons' => true
										)); ?>
									</div>
								</div> <br />
								<!-- // contents -->


								<!-- submit -->
								<div class="row cells2">
									<div class="cell">
										<input type="submit" name="cmdSubmitAffiliates" id="cmdSubmitAffiliates" class="button button-primary" value="Upate Affiliates" />
										<span id="dialog-affiliates" style="padding-left:10px;"></span>
									</div>
								</div>
								<!-- // submit -->
							</form>
						</div>
						<!-- // affiliates -->



						<!-- thankyou -->
						<div id="squeeze-thankyou">
							<div class="row cell">
								<h3>Thank You</h3> <hr />
							</div>


							<form name="thankyouForm" id="thankyouForm" method="POST" action="">
								<div class="row cells2">
									<div class="cell">
										<div class="input-control text full-size">
											<label for="thankyou-title">Title</label>
											<input type="text" name="thankyou-title" id="thankyou-title" placeholder="Enter title" value="<?php echo $thankyou['title']; ?>" />
										</div>
									</div>

									<div class="cell">
										<label for="thankyou-title-hide" class="input-control checkbox adjust-top">
											<input type="checkbox" name="thankyou-title-hide" id="thankyou-title-hide" <?php echo ($thankyou['title_hide'] == SBP_YES) ? 'checked="checked"' : ''; ?> />
											<span class="check"></span>
											<span class="caption">Hide Title?</span>
										</label>
									</div>
								</div> <br />


								<!-- widgets -->
								<div class="row cells2">
									<div class="cell">
										<div>
											<label for="thankyou-homepage" class="input-control checkbox adjust-top">
												<input type="checkbox" name="thankyou-homepage" id="thankyou-homepage" <?php echo ($thankyou['homepage'] == SBP_YES) ? 'checked="checked"' : ''; ?> />
												<span class="check"></span>
												<span class="caption">Homepage</span>
											</label>
										</div>

										<div>
											<label for="thankyou-pages" class="input-control checkbox adjust-top">
												<input type="checkbox" name="thankyou-pages" id="thankyou-pages" <?php echo ($thankyou['pages'] == SBP_YES) ? 'checked="checked"' : ''; ?> />
												<span class="check"></span>
												<span class="caption">Pages</span>
											</label>

											<div id="holder-thankyou-pagesid" class="input-control text" style="width:55%;">
												<input type="text" name="thankyou-pagesid" id="thankyou-pagesid" placeholder="Enter PagesID. Comma separated." value="<?php echo $thankyou['pagesid']; ?>" />
											</div>
										</div>

										<div>
											<label for="thankyou-posts" class="input-control checkbox adjust-top">
												<input type="checkbox" name="thankyou-posts" id="thankyou-posts" <?php echo ($thankyou['posts'] == SBP_YES) ? 'checked="checked"' : ''; ?> />
												<span class="check"></span>
												<span class="caption">Posts</span>
											</label>

											<div id="holder-thankyou-postsid" class="input-control text" style="margin-left:2px; width:55%;">
												<input type="text" name="thankyou-postsid" id="thankyou-postsid" placeholder="Enter PostsID. Comma separated." value="<?php echo $thankyou['postsid']; ?>" />
											</div>
										</div>
									</div>
								</div> <br />
								<!-- // widgets -->



								<!-- contents -->
								<div class="row">
									<div class="cell">
										<label for="thankyou-contents">Contents</label>
										<?php wp_editor($thankyou['contents'], 'thankyou-contents', array(
											'textare_name'  => 'thankyou-contents',
											'textarea_rows' => 5,
											'wpautop'       => true,
											'media_buttons' => true
										)); ?>
									</div>
								</div> <br />
								<!-- // contents -->


								<!-- submit -->
								<div class="row cells2">
									<div class="cell">
										<input type="submit" name="cmdSubmitThankyou" id="cmdSubmitThankyou" class="button button-primary" value="Upate Thankyou" />
										<span id="dialog-thankyou" style="padding-left:10px;"></span>
									</div>
								</div>
								<!-- // submit -->
							</form>
						</div>
						<!-- // thankyou -->



						<!-- recent-posts -->
						<div id="squeeze-recent-posts">
							<div class="row cell">
								<h3>Recent Posts</h3> <hr />
							</div>


							<form name="recent-postsForm" id="recent-postsForm" method="POST" action="">
								<div class="row cells2">
									<div class="cell">
										<div class="input-control text full-size">
											<label for="recent-posts-title">Title</label>
											<input type="text" name="recent-posts-title" id="recent-posts-title" placeholder="Enter title" value="<?php echo $recentPosts['title']; ?>" />
										</div>
									</div>

									<div class="cell">
										<label for="recent-posts-title-hide" class="input-control checkbox adjust-top">
											<input type="checkbox" name="recent-posts-title-hide" id="recent-posts-title-hide" <?php echo ($recentPosts['title_hide'] == SBP_YES) ? 'checked="checked"' : ''; ?> />
											<span class="check"></span>
											<span class="caption">Hide Title?</span>
										</label>
									</div>
								</div> <br />


								<!-- widgets -->
								<div class="row cells2">
									<div class="cell">
										<div>
											<label for="recent-posts-homepage" class="input-control checkbox adjust-top">
												<input type="checkbox" name="recent-posts-homepage" id="recent-posts-homepage" <?php echo ($recentPosts['homepage'] == SBP_YES) ? 'checked="checked"' : ''; ?> />
												<span class="check"></span>
												<span class="caption">Homepage</span>
											</label>
										</div>

										<div>
											<label for="recent-posts-pages" class="input-control checkbox adjust-top">
												<input type="checkbox" name="recent-posts-pages" id="recent-posts-pages" <?php echo ($recentPosts['pages'] == SBP_YES) ? 'checked="checked"' : ''; ?> />
												<span class="check"></span>
												<span class="caption">Pages</span>
											</label>

											<div id="holder-recent-posts-pagesid" class="input-control text" style="width:55%;">
												<input type="text" name="recent-posts-pagesid" id="recent-posts-pagesid" placeholder="Enter PagesID. Comma separated." value="<?php echo $recentPosts['pagesid']; ?>" />
											</div>
										</div>

										<div>
											<label for="recent-posts-posts" class="input-control checkbox adjust-top">
												<input type="checkbox" name="recent-posts-posts" id="recent-posts-posts" <?php echo ($recentPosts['posts'] == SBP_YES) ? 'checked="checked"' : ''; ?> />
												<span class="check"></span>
												<span class="caption">Posts</span>
											</label>

											<div id="holder-recent-posts-postsid" class="input-control text" style="margin-left:2px; width:55%;">
												<input type="text" name="recent-posts-postsid" id="recent-posts-postsid" placeholder="Enter PostsID. Comma separated." value="<?php echo $recentPosts['postsid']; ?>" />
											</div>
										</div>
									</div>
								</div> <br />
								<!-- // widgets -->



								<!-- contents -->
								<div class="row">
									<div class="cell">
										<label for="recent-posts-contents">Contents</label>
										<?php wp_editor($recentPosts['contents'], 'recent-posts-contents', array(
											'textare_name'  => 'recent-posts-contents',
											'textarea_rows' => 5,
											'wpautop'       => true,
											'media_buttons' => true
										)); ?>
									</div>
								</div> <br />
								<!-- // contents -->


								<!-- display -->
								<div class="row cells2">
									<div class="cell">
										<div class="input-control select full-size">
											<label for="recent-posts-how-many">How Many to Display</label>
											<select name="recent-posts-how-many" id="recent-posts-how-many" style="height:40px;">
												<?php
												for ($rc = 0; $rc <= 20; $rc++) {
													echo '<option value="'. $rc .'" '. selected($rc, $recentPosts['how_many']) .'>'. $rc .'</option>';
												}
												?>
											</select>
										</div>
									</div>
								</div>
								<!-- // display -->


								<!-- submit -->
								<div class="row cells2">
									<div class="cell">
										<input type="submit" name="cmdSubmitRecentPosts" id="cmdSubmitRecentPosts" class="button button-primary" value="Upate RecentPosts" />
										<span id="dialog-recent-posts" style="padding-left:10px;"></span>
									</div>
								</div>
								<!-- // submit -->
							</form>
						</div>
						<!-- // recent-posts -->
					</div>

				</div>
			</div>




			<!-- recent-posts -->
			<script type="text/javascript">
				var sbpRecentPosts = jQuery.noConflict();
				sbpRecentPosts(function($) {

					//* pages
					if ($('#recent-posts-pages').is(':checked')) {
						$('#holder-recent-posts-pagesid').slideDown();
					}
					else {
						$('#holder-recent-posts-pagesid').slideUp();
					}

					$('#recent-posts-pages').click(function() {
						var $this   = $(this),
							$holder = $('#holder-recent-posts-pagesid');

						if ($this.is(':checked')) {
							$holder.slideDown();
						}
						else {
							$holder.slideUp();
						}
					});


					//* posts
					if ($('#recent-posts-posts').is(':checked')) {
						$('#holder-recent-posts-postsid').slideDown();
					}
					else {
						$('#holder-recent-posts-postsid').slideUp();
					}

					$('#recent-posts-posts').click(function() {
						var $this   = $(this),
							$holder = $('#holder-recent-posts-postsid');

						if ($this.is(':checked')) {
							$holder.slideDown();
						}
						else {
							$holder.slideUp();
						}
					});


					//* submit
					$('#cmdSubmitRecentPosts').click(function() {
						var $this   = $(this),

							$title      = $('#recent-posts-title'),
							$titleHide  = $('#recent-posts-title-hide'),

							$homepage   = $('#recent-posts-homepage'),
							$pages      = $('#recent-posts-pages'),
							$pagesid    = $('#recent-posts-pagesid'),
							$posts      = $('#recent-posts-posts'),
							$postsid    = $('#recent-posts-postsid'),

							$contents   = tinymceGetContent('recent-posts-contents', 'recent-posts-contents'),

							$howmany    = $('#recent-posts-how-many'),

							$dialog     = $('#dialog-recent-posts'),

							$data       = {
								action      : 'sbp_update_recent_posts',


								title       : $title.val(),
								titleHide   : $titleHide.is(':checked'),

								homepage    : $homepage.is(':checked'),
								pages       : $pages.is(':checked'),
								pagesid     : $pagesid.val(),
								posts       : $posts.is(':checked'),
								postsid     : $postsid.val(),

								contents    : $contents,
								howmany     : $howmany.val()
							};


						$dialog.empty().append('Submitting data... Please wait!');
						$.post('<?php echo admin_url('admin-ajax.php'); ?>', $data, function(result) {
							if (result != 'done') {
								$dialog.empty().append('Data cannot be processed. Please try again!');
							}
							else {
								$dialog.empty().append('Data has been successfully submitted.');
							}
						});

						return false;
					});
				});
			</script>
			<!-- // recent-posts -->



			<!-- thankyou -->
			<script type="text/javascript">
				var sbpThankyou = jQuery.noConflict();
				sbpThankyou(function($) {

					//* pages
					if ($('#thankyou-pages').is(':checked')) {
						$('#holder-thankyou-pagesid').slideDown();
					}
					else {
						$('#holder-thankyou-pagesid').slideUp();
					}

					$('#thankyou-pages').click(function() {
						var $this   = $(this),
							$holder = $('#holder-thankyou-pagesid');

						if ($this.is(':checked')) {
							$holder.slideDown();
						}
						else {
							$holder.slideUp();
						}
					});


					//* posts
					if ($('#thankyou-posts').is(':checked')) {
						$('#holder-thankyou-postsid').slideDown();
					}
					else {
						$('#holder-thankyou-postsid').slideUp();
					}

					$('#thankyou-posts').click(function() {
						var $this   = $(this),
							$holder = $('#holder-thankyou-postsid');

						if ($this.is(':checked')) {
							$holder.slideDown();
						}
						else {
							$holder.slideUp();
						}
					});


					//* submit
					$('#cmdSubmitThankyou').click(function() {
						var $this   = $(this),

							$title      = $('#thankyou-title'),
							$titleHide  = $('#thankyou-title-hide'),

							$homepage   = $('#thankyou-homepage'),
							$pages      = $('#thankyou-pages'),
							$pagesid    = $('#thankyou-pagesid'),
							$posts      = $('#thankyou-posts'),
							$postsid    = $('#thankyou-postsid'),

							$contents   = tinymceGetContent('thankyou-contents', 'thankyou-contents'),

							$dialog     = $('#dialog-thankyou'),

							$data       = {
								action      : 'sbp_update_thankyou',


								title       : $title.val(),
								titleHide   : $titleHide.is(':checked'),

								homepage    : $homepage.is(':checked'),
								pages       : $pages.is(':checked'),
								pagesid     : $pagesid.val(),
								posts       : $posts.is(':checked'),
								postsid     : $postsid.val(),

								contents    : $contents
							};


						$dialog.empty().append('Submitting data... Please wait!');
						$.post('<?php echo admin_url('admin-ajax.php'); ?>', $data, function(result) {
							if (result != 'done') {
								$dialog.empty().append('Data cannot be processed. Please try again!');
							}
							else {
								$dialog.empty().append('Data has been successfully submitted.');
							}
						});

						return false;
					});
				});
			</script>
			<!-- // thankyou -->



			<!-- affiliates -->
			<script type="text/javascript">
				var sbpAffiliates = jQuery.noConflict();
				sbpAffiliates(function($) {

					//* pages
					if ($('#affiliates-pages').is(':checked')) {
						$('#holder-affiliates-pagesid').slideDown();
					}
					else {
						$('#holder-affiliates-pagesid').slideUp();
					}

					$('#affiliates-pages').click(function() {
						var $this   = $(this),
							$holder = $('#holder-affiliates-pagesid');

						if ($this.is(':checked')) {
							$holder.slideDown();
						}
						else {
							$holder.slideUp();
						}
					});


					//* posts
					if ($('#affiliates-posts').is(':checked')) {
						$('#holder-affiliates-postsid').slideDown();
					}
					else {
						$('#holder-affiliates-postsid').slideUp();
					}

					$('#affiliates-posts').click(function() {
						var $this   = $(this),
							$holder = $('#holder-affiliates-postsid');

						if ($this.is(':checked')) {
							$holder.slideDown();
						}
						else {
							$holder.slideUp();
						}
					});


					//* submit
					$('#cmdSubmitAffiliates').click(function() {
						var $this   = $(this),

							$title      = $('#affiliates-title'),
							$titleHide  = $('#affiliates-title-hide'),

							$homepage   = $('#affiliates-homepage'),
							$pages      = $('#affiliates-pages'),
							$pagesid    = $('#affiliates-pagesid'),
							$posts      = $('#affiliates-posts'),
							$postsid    = $('#affiliates-postsid'),

							$contents   = tinymceGetContent('affiliates-contents', 'affiliates-contents'),

							$dialog     = $('#dialog-affiliates'),

							$data       = {
								action      : 'sbp_update_affiliates',

								title       : $title.val(),
								titleHide   : $titleHide.is(':checked'),

								homepage    : $homepage.is(':checked'),
								pages       : $pages.is(':checked'),
								pagesid     : $pagesid.val(),
								posts       : $posts.is(':checked'),
								postsid     : $postsid.val(),

								contents    : $contents
							};


						$dialog.empty().append('Submitting data... Please wait!');
						$.post('<?php echo admin_url('admin-ajax.php'); ?>', $data, function(result) {
							if (result != 'done') {
								$dialog.empty().append('Data cannot be processed. Please try again!');
							}
							else {
								$dialog.empty().append('Data has been successfully submitted.');
							}
						});

						return false;
					});
				});
			</script>
			<!-- // affiliates -->




			<!-- optins -->
			<script type="text/javascript">
				var sbpSqueeze = jQuery.noConflict();
				sbpSqueeze(function($) {

					//* optin pages
					$('input[id*=-pages]').each(function() {
						var $this = $(this);
						if ($this.attr('type') == 'checkbox') {
							$id     = $this.attr('rel');
							$holder = $('#holder-optin-'+ $id +'-pagesid');

							if ($this.is(':checked')) {
								$holder.slideDown();
							}
							else {
								$holder.slideUp();
							}
						}
					}).click(function() {
						var $this = $(this);
						if ($this.attr('type') == 'checkbox') {
							$id     = $this.attr('rel');
							$holder = $('#holder-optin-'+ $id +'-pagesid');

							if ($this.is(':checked')) {
								$holder.slideDown();
							}
							else {
								$holder.slideUp();
							}
						}
					});


					//* optin posts
					$('input[id*=-posts]').each(function() {
						var $this = $(this);
						if ($this.attr('type') == 'checkbox') {
							$id     = $this.attr('rel');
							$holder = $('#holder-optin-'+ $id +'-postsid');

							if ($this.is(':checked')) {
								$holder.slideDown();
							}
							else {
								$holder.slideUp();
							}
						}
					}).click(function() {
						var $this = $(this);
						if ($this.attr('type') == 'checkbox') {
							$id     = $this.attr('rel');
							$holder = $('#holder-optin-'+ $id +'-postsid');

							if ($this.is(':checked')) {
								$holder.slideDown();
							}
							else {
								$holder.slideUp();
							}
						}
					});


					//* optin is aweber
					$('input[id*=-is-aweber]').each(function() {
						var $this = $(this);
						if ($this.attr('type') == 'checkbox') {
							$id         = $this.attr('rel');
							$aweber     = $('#holder-optin-'+ $id +'-is-aweber');
							$not_aweber = $('#holder-optin-'+ $id +'-not-aweber');

							if ($this.is(':checked')) {
								$aweber.slideDown();
								$not_aweber.slideUp();
							}
							else {
								$aweber.slideUp();
								$not_aweber.slideDown();
							}
						}
					}).click(function() {
						var $this = $(this);
						if ($this.attr('type') == 'checkbox') {
							$id         = $this.attr('rel');
							$aweber     = $('#holder-optin-'+ $id +'-is-aweber');
							$not_aweber = $('#holder-optin-'+ $id +'-not-aweber');

							if ($this.is(':checked')) {
								$aweber.slideDown();
								$not_aweber.slideUp();
							}
							else {
								$aweber.slideUp();
								$not_aweber.slideDown();
							}
						}
					});


					//* optin theme
					$('select[id*=-theme]').each(function() {
						var $this   = $(this),
							$id     = $this.attr('rel'),
							$name   = $this.attr('name'),
							$val    = $this.val();

						if ($name == 'optin-'+ $id +'-theme') {
							var $holder     = $('#holder-optin-'+ $id +'-theme'),
								$dialog     = $('#dialog-optin-'+ $id + '-theme'),
								$desc       = $('#optin-'+ $id +'-theme-description'),

								$isImg      = $('#optin-'+ $id +'-theme-btn-img'),
								$imgUrl     = $('#optin-'+ $id +'-theme-btn-img-src'),
								$imgPreview = $('#optin-'+ $id +'-theme-btn-image-preview'),
								$holderImg  = $('#holder-optin-'+ $id +'-theme-btn-is-image'),
								$holderReg  = $('#holder-optin-'+ $id +'-theme-btn-is-regular');

							//* set initial description value
							$desc.empty().text($('option:selected', $this).text());

							if ($isImg.val() == 'no') {
								$holderImg.slideUp();
								$holderReg.slideDown();
							}
							else {
								$holderImg.slideDown();
								$holderReg.slideUp();
								$imgPreview.empty().css('margin-bottom', '10px').append('<img src="'+ $imgUrl.val() +'" alt="" />');
							}

						}
					}).on('change', function() {
						var $this   = $(this),
							$id     = $this.attr('rel'),
							$name   = $this.attr('name'),
							$val    = $this.val();

						if ($name == 'optin-'+ $id +'-theme') {
							var $holder     = $('#holder-optin-'+ $id +'-theme'),
								$dialog     = $('#dialog-optin-'+ $id + '-theme'),
								$desc       = $('#optin-'+ $id +'-theme-description'),

								$isImg      = $('#optin-'+ $id +'-theme-btn-img'),
								$imgUrl     = $('#optin-'+ $id +'-theme-btn-img-src'),
								$imgPreview = $('#optin-'+ $id +'-theme-btn-image-preview'),
								$holderImg  = $('#holder-optin-'+ $id +'-theme-btn-is-image'),
								$holderReg  = $('#holder-optin-'+ $id +'-theme-btn-is-regular'),

								$data       = {
									action  : 'sbp_load_theme',
									id      : $val
								};


							$holder.slideUp();
							$dialog.slideDown().empty().css('margin-top', '10px').append('<span class="mif-loop2 mif-ani-spin"><\/span> Requesting theme details... Please wait!');

							//* submit
							$.ajax({
								url     : '<?php echo admin_url('admin-ajax.php'); ?>',
								type    : 'POST',
								data    : $data,
								dataType: 'json',
								success : function(res) {

									if (res == 'error') {
										$holder.slideUp();
										$dialog.slideUp()
											.slideDown()
											.css('margin-top', '10px')
											.empty().append('<span class="mif-notification fg-red"><\/span> There was a problem with theme details. Please try again!');
									}
									else {
										$holder.slideDown();
										$dialog.slideUp();


										$desc.empty().text($('option:selected', $this).text());

										$('#optin-'+ $id +'-theme-main-bg').val(res['options']['main_bg']);
										$('#optin-'+ $id +'-theme-main-border-color').val(res['options']['main_border_color']);

										$('#optin-'+ $id +'-theme-headline-color').val(res['options']['headline_color']);
										$('#optin-'+ $id +'-theme-headline-bold').val(res['options']['headline_bold']);

										$('#optin-'+ $id +'-theme-txtbox-width').val(res['options']['txtbox_width']);
										$('#optin-'+ $id +'-theme-txtbox-border-color').val(res['options']['txtbox_border_color']);
										$('#optin-'+ $id +'-theme-txtbox-fontsize').val(res['options']['txtbox_fontsize']);

										$('#optin-'+ $id +'-theme-btn-img').val(res['options']['btn_img']);
										$('#optin-'+ $id +'-theme-btn-img-src').val(res['options']['btn_img_src']);
										$('#optin-'+ $id +'-theme-btn-img-size').val(res['options']['btn_img_size']);

										$('#optin-'+ $id +'-theme-btn-value').val(res['options']['btn_value']);
										$('#optin-'+ $id +'-theme-btn-bg').val(res['options']['btn_bg']);
										$('#optin-'+ $id +'-theme-btn-border-color').val(res['options']['btn_border_color']);
										$('#optin-'+ $id +'-theme-btn-bold').val(res['options']['btn_bold']);
										$('#optin-'+ $id +'-theme-btn-fontsize').val(res['options']['btn_fontsize']);

										if (res['options']['btn_img'] == 'yes') {
											$holderImg.slideDown();
											$holderReg.slideUp();

											$imgPreview.empty().css('margin-bottom', '10px').append('<img src="'+ res['options']['btn_img_src'] +'" alt="" \/>');
										}
										else {
											$holderImg.slideUp();
											$holderReg.slideDown();
										}

									}

								}
							});
						}
					});


					//* submit
					$('*[id^=cmdSubmitOptin]').click(function() {
						var $this   = $(this),
							$id     = $this.attr('rel'),

							$oTitle     = $('#optin-'+ $id +'-title'),
							$oTitleHide = $('#optin-'+ $id +'-title-hide'),

							$oHomepage  = $('#optin-'+ $id +'-homepage'),
							$oPages     = $('#optin-'+ $id +'-pages'),
							$oPagesId   = $('#optin-'+ $id +'-pagesid'),
							$oPosts     = $('#optin-'+ $id +'-posts'),
							$oPostsId   = $('#optin-'+ $id +'-postsid'),

							$oContents  = tinymceGetContent('optin-'+ $id +'-contents', 'optin-'+ $id +'-contents'),

							$oIsAweber          = $('#optin-'+ $id +'-is-aweber'),
							$oListname          = $('#optin-'+ $id +'-listname'),
							$oThankyou          = $('#optin-'+ $id +'-thankyou'),
							$oBullet1           = $('#optin-'+ $id +'-bullet-1'),
							$oBullet2           = $('#optin-'+ $id +'-bullet-2'),
							$oBullet3           = $('#optin-'+ $id +'-bullet-3'),
							$oNotAweberContents = tinymceGetContent('optin-'+ $id +'-not-aweber-contents', 'optin-'+ $id +'-not-aweber-contents'),

							$oPrivacy   = tinymceGetContent('optin-'+ $id +'-privacy', 'optin-'+ $id +'-privacy'),

							$oTheme             = $('#optin-'+ $id +'-theme'),

							$oMainBg            = $('#optin-'+ $id +'-theme-main-bg'),
							$oMainBorderColor   = $('#optin-'+ $id +'-theme-main-border-color'),

							$oHeadlineColor     = $('#optin-'+ $id +'-theme-headline-color'),
							$oHeadlineBold      = $('#optin-'+ $id +'-theme-headline-bold'),

							$oTxtboxBorderColor = $('#optin-'+ $id +'-theme-txtbox-border-color'),
							$oTxtboxWidth       = $('#optin-'+ $id +'-theme-txtbox-width'),
							$oTxtboxFontsize    = $('#optin-'+ $id +'-theme-txtbox-fontsize'),

							$oBtnImg            = $('#optin-'+ $id +'-theme-btn-img'),
							$oBtnImgSrc         = $('#optin-'+ $id +'-theme-btn-img-src'),
							$oBtnImgSize        = $('#optin-'+ $id +'-theme-btn-img-size'),
							$oBtnValue          = $('#optin-'+ $id +'-theme-btn-value'),
							$oBtnBg             = $('#optin-'+ $id +'-theme-btn-bg'),
							$oBtnColor          = $('#optin-'+ $id +'-theme-btn-color'),
							$oBtnBorderColor    = $('#optin-'+ $id +'-theme-btn-border-color'),
							$oBtnBold           = $('#optin-'+ $id +'-theme-btn-bold'),
							$oBtnFontsize       = $('#optin-'+ $id +'-theme-btn-fontsize'),


							$dialog             = $('#dialog-optin-'+ $id),

							$data   = {
								action              : 'sbp_update_optin',
								id                  : $id,

								title               : $oTitle.val(),
								titleHide           : $oTitleHide.is(':checked'),

								homepage            : $oHomepage.is(':checked'),
								pages               : $oPages.is(':checked'),
								pagesId             : $oPagesId.val(),
								posts               : $oPosts.is(':checked'),
								postsId             : $oPostsId.val(),

								contents            : $oContents,

								isAweber            : $oIsAweber.is(':checked'),
								aweberListname      : $oListname.val(),
								aweberThankyou      : $oThankyou.val(),
								aweberBullet1       : $oBullet1.val(),
								aweberBullet2       : $oBullet2.val(),
								aweberBullet3       : $oBullet3.val(),
								notAweberContents   : $oNotAweberContents,

								privacy             : $oPrivacy,

								theme               : $oTheme.val(),
								mainBg              : $oMainBg.val(),
								mainBorderColor     : $oMainBorderColor.val(),

								headlineColor       : $oHeadlineColor.val(),
								headlineBold        : $oHeadlineBold.val(),

								txtboxBorderColor   : $oTxtboxBorderColor.val(),
								txtboxWidth         : $oTxtboxWidth.val(),
								txtboxFontsize      : $oTxtboxFontsize.val(),

								btnImg              : $oBtnImg.val(),
								btnImgSrc           : $oBtnImgSrc.val(),
								btnImgSize          : $oBtnImgSize.val(),
								btnValue            : $oBtnValue.val(),
								btnBg               : $oBtnBg.val(),
								btnColor            : $oBtnColor.val(),
								btnBorderColor      : $oBtnBorderColor.val(),
								btnBold             : $oBtnBold.val(),
								btnFontsize         : $oBtnFontsize.val()
							};


						$dialog.empty().append('Submitting data... Please wait!');
						$.post('<?php echo admin_url('admin-ajax.php'); ?>', $data, function(result) {
							if (result != 'done') {
								$dialog.empty().append('Data cannot be processed. Please try again!');
							}
							else {
								$dialog.empty().append('Data has been successfully submitted.');
							}
						});

						return false;
					});


				});
			</script>
			<!-- // optins -->